# FocusCapture

Table of Contents

###### Examples

Basic Usage

###### JavaScript Reference

Constructor
Requirements
Attributes
Properties
Methods

### Description

The `FocusCapture` class extends the LazyComponent class and provides functionality to capture focus within the component.

### Basic Usage

Use the `FocusCapture` component to capture focus within the component. When the focus moves out of the component, it will automatically move back to the first focusable element inside the component.

    <k-focus-capture>
      <button>Button 1</button>
      <button>Button 2</button>
    </k-focus-capture>

## JavaScript Reference

### Constructor

###### Extends LazyComponent

##### `new FocusCapture()`

### Requirements

- LazyComponent

### Attributes

The `FocusCapture` class does not introduce any new attributes beyond those provided by the LazyComponent class.

### Methods

The `FocusCapture` class does not introduce any new methods beyond those provided by the LazyComponent class.